Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.p2p.past.gc
Class GCPastImpl.GCPastDeserializer

    java.lang.Object
      rice.p2p.past.PastImpl.PastDeserializer
          rice.p2p.past.gc.GCPastImpl.GCPastDeserializer

All Implemented Interfaces:
  MessageDeserializer

Enclosing class:
  GCPastImpl

    protected class GCPastImpl.GCPastDeserializer

extends PastImpl.PastDeserializer

Constructor Summary
`protected` | `GCPastImpl.GCPastDeserializer()`

Method Summary
`Message` | `deserialize(InputBuffer buf, short type, int priority, NodeHandle sender)` Typical implementation: RawMessage ret = super.deserialize(); if (ret != null) return ret; Endpoint endpoint; switch(type) { case 1: return new MyMessage(buf, endpoint); }

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GCPastImpl.GCPastDeserializer

    protected GCPastImpl.GCPastDeserializer()

Method Detail

### deserialize

    public Message deserialize(InputBuffer buf,
                               short type,
                               int priority,
                               NodeHandle sender)
                        throws java.io.IOException

  Description copied from interface: `MessageDeserializer`
  Typical implementation: RawMessage ret = super.deserialize(); if (ret != null) return ret; Endpoint endpoint; switch(type) { case 1: return new MyMessage(buf, endpoint); }

  Specified by:
    `deserialize` in interface `MessageDeserializer`
  Overrides:
    `deserialize` in class `PastImpl.PastDeserializer`
  Parameters:
    `buf` - accessor to the bytes
    `type` - the message type, defined in RawMessage.getType()
    `priority` - the priority of the message
    `sender` - the sender of the Message (may be null if not specified).
  Returns:
    The deserialized message.
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.